      SUBROUTINE PRODES
C! Steer the FLOW program
      INCLUDE 'jobcom.h'
      INCLUDE 'lunits.h'
      LOUT  = 6
      LINTRE = 50
C
C Initialise some arrays
C
      CALL INIARR
C
C process the input data from FLOP into tables
C
      IPASS = 1
      CALL RDFLOP(IPASS)
C
C find the external routine names
C
      CALL EXTERN
C
C produce the tree chart
C
      IF(LTREE) CALL PROTRE
C
C produce the graphical structure chart
C
      IF(LCHRT) CALL PROCHT
C
C produce the subroutine headers
C
C      IF(LSUBS) CALL PROSUB
C
C produce the common block table
C
      IF(LCOMM) CALL PROCOM
C
C enter the subroutine tree query routine
C
      IF(LQERY) CALL PROQRY
C
      END
